# Dunlin - a extensible Fennel-based web browser

<img src="dunlin.png" data-align="right" style="width: 33%" />

> The dunlin (Calidris alpina) is a small wader. It is a circumpolar
> breeder in Arctic or subarctic regions. Birds that breed in northern
> Europe and Asia are long-distance migrants, wintering south to Africa,
> southeast Asia and the Middle East. Birds that breed in Alaska and the
> Canadian Arctic migrate short distances to the Pacific and Atlantic
> coasts of North America, although those nesting in northern Alaska
> overwinter in Asia.

Dunlin is a GTK-based Webkit browser which can be extended in (indeed,
is mostly written in) [Fennel](https://www.fennel-lang.org).

## Hacking

        $ nix-shell
        nix-shell$ overmind start -D
        nix-shell$ overmind connect


This starts a Fennel interpreter and a test runner in tmux windows. Use `C-b n`
to switch between them or `C-b d` to detach.

        $ fennel dunlin.fnl &
        $ ./repl.sh


Dunlin will open a socket in `$XDG_RUNTIME_DIR` to allow communication
with a Fennel REPL. The repl.sh script uses
[socat](http://www.dest-unreach.org/socat/) to connect to it.
