(local lgi (require :lgi))
(local lfs (require :lfs))
(local { : Gtk : Gdk : WebKit2 : cairo } lgi)

(local Frame (require :frame))
(local Buffer (require :buffer))

(let [f (Frame.new)
      b (Buffer.new "main")]
  (f:show-buffer b)
  (b:visit (.. "file://" (lfs.currentdir) "/doc/index.html")))

(let [socketdir (or (os.getenv "XDG_RUNTIME_DIR") (os.getenv "HOME"))]
  ((. (require :socket-repl) :start)
   (.. socketdir "/dunlin.sock")))

(Gtk.main)
